@import 'general/base';

.news-list{
    padding: 30px;
    background-color: #fff;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 1px 5px 0 rgba(0,0,0,0.12), 0 3px 1px -2px rgba(0,0,0,0.2);
    &__wrapp{
        width: 50%;
        padding: 15px;
    }
    &__head{
        color: $c_blue;
        text-transform: uppercase;
        font-size: 28px;
        font-weight: 300;
        margin-bottom: 30px;
        font-style: italic;
        text-shadow: 0px 0px 2px;
    }
}
.news-post{
    background-color: #f5f5f5;
    padding: 30px;
    margin-bottom: 30px;
    &__author{
        text-transform: uppercase;
        color: $c_blue;
        span{
            font-size: 16px;
            text-transform: capitalize;
            font-weight: 300;
            font-style: italic;
            color: #ccc;
        }
    }
    &__date{
        margin-bottom: 15px;
        text-transform: uppercase;
        color: $c_blue;
        span{
            font-size: 16px;
            text-transform: capitalize;
            font-weight: 300;
            font-style: italic;
            color: #ccc;
        }
    }
    &__text{
        margin-bottom: 15px;
        text-align: justify;
    }
    &__img{
        margin-bottom: 15px;
    }
}
.constructor{
    margin-bottom: 30px;
    padding: 30px;
    background-color: #fff;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 1px 5px 0 rgba(0,0,0,0.12), 0 3px 1px -2px rgba(0,0,0,0.2);
    &__wrapp{
        width: 50%;
        padding: 15px;
    }
    &__head{
        font-size: 22px;
    }
    &__wrap-input{
        margin-bottom: 25px;
        position: relative;
        &.input-blur{
            label{
                position: absolute;
                left: 0;
                top: 0px;
                margin-top: 5px;
            }
        }
        input{
            display: block;
            width: 100%;
            padding: 5px;
            padding-bottom: 10px;
            border: none;
            border-bottom: 2px solid $c_blue;
            outline: none;
            background-color: transparent;
            &[type= "file"]{
                display: none;
            }
        }
        label{
            display: block;
            transition: all .4s;
            &.label-file{
                cursor: pointer;
                &:hover{
                    text-shadow: 0 0 1px;
                }
            }
        }
        textarea{
            display: block;
            width: 100%;
            height: 150px;
            padding: 10px;
            border: 2px solid $c_blue;
            outline:  none;
            resize: none;
            background-color: transparent;
        }
        &.content{
            label{
                color: $c_blue;
                font-size: 12px;
                margin-top: 0;
                transform: translateY(-100%);
            }
        }
    }
    &__comment{
        display: none;
        padding-top: 30px;
    }
}